Skip to main content
DELETE
/
api
/
v1
/
watchlists
/
{watchlistId}
/
items
Remove items from watchlist
curl --request DELETE \
  --url https://public-api.etoro.com/api/v1/watchlists/{watchlistId}/items \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-request-id: <x-request-id>' \
  --header 'x-user-key: <x-user-key>' \
  --data '
[
  {
    "itemId": 12345,
    "itemType": "Instrument",
    "itemRank": 1,
    "itemAddedReason": "Manual",
    "itemAddedDate": "2023-11-07T05:31:56Z",
    "market": {
      "id": "<string>",
      "symbolName": "<string>",
      "displayName": "<string>",
      "assetTypeId": 123,
      "assetTypeSubCategoryId": 123,
      "exchangeId": 123,
      "hasExpirationDate": true,
      "avatar": {
        "small": "<string>",
        "medium": "<string>",
        "large": "<string>",
        "svg": {
          "url": "<string>",
          "backgroundColor": "<string>",
          "textColor": "<string>"
        }
      }
    }
  }
]
'

Headers

x-request-id
string<uuid>
required

A unique request identifier.

Example:

"fa1fe989-5b64-402b-b9fb-5d563cbbe1f2"

x-api-key
string<password>
required

API key for authentication.

Example:

"lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663"

x-user-key
string<password>
required

User-specific authentication key.

Example:

"eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_"

Path Parameters

watchlistId
string
required

Unique identifier of the watchlist

Body

application/json

Items to remove from the watchlist

itemId
integer<int32>
required

Unique identifier of the financial instrument

Example:

12345

itemType
string
required

Type of the financial instrument (e.g., 'Instrument', 'Person')

Example:

"Instrument"

itemRank
integer<int32>
default:0

Ranking position of the item in the watchlist

Example:

1

itemAddedReason
string

Reason the item was added to the watchlist

Example:

"Manual"

itemAddedDate
string<date-time>

Date and time the item was added

market
object

Market metadata for the instrument when included

Response

204

Items removed successfully